> For the complete documentation index, see [llms.txt](https://doc.youverify.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.youverify.co/api-reference/api-reference/signal-management/list-signals-by-entity-cursor.md).

# List Signals by Entity (Cursor)

This endpoint allows you to list signals for an entity using cursor pagination and optional filters. Scoped to the authenticated business.

<mark style="color:blue;">`GET`</mark> `{{baseurl}}/v2/api/signals/entity/:entityId/cursor`

#### Headers

| Name                                    | Type   | Description      |
| --------------------------------------- | ------ | ---------------- |
| token<mark style="color:red;">\*</mark> | String | API secret token |

#### Parameter

| Field                                      | Type    | Description                                                                               |
| ------------------------------------------ | ------- | ----------------------------------------------------------------------------------------- |
| entityId<mark style="color:red;">\*</mark> | String  | Entity unique identifier                                                                  |
| limit                                      | Number  | <p>Page size</p><p>Default value: <mark style="color:$danger;"><code>20</code></mark></p> |
| startAfter                                 | String  | Document id cursor for the next page                                                      |
| endingBefore                               | String  | Document id cursor for the previous page                                                  |
| deviceId                                   | String  | Filter by device id                                                                       |
| filterByAnomaly                            | Boolean | When true, apply the anomaly filter                                                       |
| anomaly                                    | Boolean | Anomaly value when filterByAnomaly is true                                                |
| deviceType                                 | String  | Comma-separated device types                                                              |
| os                                         | String  | Comma-separated OS names                                                                  |
| startDate                                  | String  | Date-only YYYY-MM-DD (inclusive)                                                          |
| endDate                                    | String  | Date-only YYYY-MM-DD (inclusive)                                                          |

{% tabs %}
{% tab title="Success Response" %}

```json
{
   "success": true,
   "statusCode": 200,
   "message": "Signals retrieved successfully!",
   "data": {
       "docs": [],
       "nextCursor": "abc123",
       "prevCursor": null,
       "hasNextPage": true,
       "hasPrevPage": false,
       "totalDocs": 50
   },
   "links": []
}
```

{% endtab %}

{% tab title="Error Response" %}

```json
HTTP/1.1 404 NotFound
{
  "success": false,
  "statusCode": 404,
  "message": "You have attempted to get a resource that does not exist.",
  "name": "ResourceNotFoundError",
  "data": {}
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://doc.youverify.co/api-reference/api-reference/signal-management/list-signals-by-entity-cursor.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
